Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Service_Callbacks.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/Invocation_Utils.h"`

Include dependency graph for Service_Callbacks.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | IOP
## Compounds
class | TAO_Service_Callbacks
| An Abstract Base class for the hooks in the ORB. More...

## Detailed Description

Id:
  Service_Callbacks.h,v 1.14 2003/10/28 18:29:20 bala Exp

This is a generic interface that would be used to override many of the default functionalities that the ORB provides by the services if they have been loaded in to the ORB_Core

Author:
  Bala Natarajan <bala@cs.wustl.edu>